<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: MenuData Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d9/db7/class_menu_data.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">MenuData Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for MenuData:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d9/db7/class_menu_data.png" usemap="#MenuData_map" alt=""/>
  <map id="MenuData_map" name="MenuData_map">
<area href="../../d5/d78/group___enforce.html#dd/d17/class_managed" title="TODO doc." alt="Managed" shape="rect" coords="0,0,70,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a80a729332a2ab1df3e78837cf8c6ce19"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/db7/class_menu_data.html#a80a729332a2ab1df3e78837cf8c6ce19">GetCharactersCount</a> ()</td></tr>
<tr class="separator:a80a729332a2ab1df3e78837cf8c6ce19"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a105b39d2a1585d15f274ec1f4c4cd4d5"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/db7/class_menu_data.html#a105b39d2a1585d15f274ec1f4c4cd4d5">GetLastPlayedCharacter</a> ()</td></tr>
<tr class="separator:a105b39d2a1585d15f274ec1f4c4cd4d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad367e1daa06cdd1dede1d6d9f3fc6ec3"><td class="memItemLeft" align="right" valign="top">proto native Man&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/db7/class_menu_data.html#ad367e1daa06cdd1dede1d6d9f3fc6ec3">CreateCharacterPerson</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> index)</td></tr>
<tr class="memdesc:ad367e1daa06cdd1dede1d6d9f3fc6ec3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return Character person or null if character initialization failed (inventory load, or corrupted data)  <a href="../../d9/db7/class_menu_data.html#ad367e1daa06cdd1dede1d6d9f3fc6ec3">More...</a><br /></td></tr>
<tr class="separator:ad367e1daa06cdd1dede1d6d9f3fc6ec3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7147945cf94faa58c66cf8bd8c96ff56"><td class="memItemLeft" align="right" valign="top">proto void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/db7/class_menu_data.html#a7147945cf94faa58c66cf8bd8c96ff56">GetLastServerAddress</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> index, out <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> address)</td></tr>
<tr class="separator:a7147945cf94faa58c66cf8bd8c96ff56"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c7f63a70c4ac2ec3cfe2e36212acbcc"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/db7/class_menu_data.html#a6c7f63a70c4ac2ec3cfe2e36212acbcc">GetLastServerPort</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> index)</td></tr>
<tr class="separator:a6c7f63a70c4ac2ec3cfe2e36212acbcc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acea6c774fa1378015c85f932d4e2db8b"><td class="memItemLeft" align="right" valign="top">proto void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/db7/class_menu_data.html#acea6c774fa1378015c85f932d4e2db8b">GetLastServerName</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> index, out <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> address)</td></tr>
<tr class="separator:acea6c774fa1378015c85f932d4e2db8b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb4a3b1feeb7af9593aa76e416f235eb"><td class="memItemLeft" align="right" valign="top">proto void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/db7/class_menu_data.html#acb4a3b1feeb7af9593aa76e416f235eb">RequestSetDefaultCharacterData</a> ()</td></tr>
<tr class="separator:acb4a3b1feeb7af9593aa76e416f235eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6dc65a941e433e541a1e36a77287f63b"><td class="memItemLeft" align="right" valign="top">proto <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/db7/class_menu_data.html#a6dc65a941e433e541a1e36a77287f63b">RequestGetDefaultCharacterData</a> ()</td></tr>
<tr class="separator:a6dc65a941e433e541a1e36a77287f63b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c821477d45c66c5b9299b334aef2d96"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/db7/class_menu_data.html#a6c821477d45c66c5b9299b334aef2d96">OnSetDefaultCharacter</a> (<a class="el" href="../../d8/d18/gameplay_8c.html#af1d1033fca2ebd02f4ba61051b6341c4">ParamsWriteContext</a> ctx)</td></tr>
<tr class="memdesc:a6c821477d45c66c5b9299b334aef2d96"><td class="mdescLeft">&#160;</td><td class="mdescRight">Actual DefaultCharacter saving.  <a href="../../d9/db7/class_menu_data.html#a6c821477d45c66c5b9299b334aef2d96">More...</a><br /></td></tr>
<tr class="separator:a6c821477d45c66c5b9299b334aef2d96"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a59198ea74f22e5ee2594f1d0ac650992"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/db7/class_menu_data.html#a59198ea74f22e5ee2594f1d0ac650992">OnGetDefaultCharacter</a> (<a class="el" href="../../d8/d18/gameplay_8c.html#a4ff67286551fc6c18504752a277c8bc1">ParamsReadContext</a> ctx)</td></tr>
<tr class="memdesc:a59198ea74f22e5ee2594f1d0ac650992"><td class="mdescLeft">&#160;</td><td class="mdescRight">Actual DefaultCharacter loading.  <a href="../../d9/db7/class_menu_data.html#a59198ea74f22e5ee2594f1d0ac650992">More...</a><br /></td></tr>
<tr class="separator:a59198ea74f22e5ee2594f1d0ac650992"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f029ea9dd431452e512b7fbcbf2d419"><td class="memItemLeft" align="right" valign="top">proto void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/db7/class_menu_data.html#a3f029ea9dd431452e512b7fbcbf2d419">GetCharacterName</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> index, out <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> <a class="el" href="../../db/d3f/_plugin_day_z_infected_debug_8c.html#a8ccf841cb59e451791bcb2e1ac4f1edc">name</a>)</td></tr>
<tr class="separator:a3f029ea9dd431452e512b7fbcbf2d419"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeed52b4b41787b6361c6ba8030c941eb"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/db7/class_menu_data.html#aeed52b4b41787b6361c6ba8030c941eb">SetCharacterName</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> index, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> newName)</td></tr>
<tr class="separator:aeed52b4b41787b6361c6ba8030c941eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1cb1173b8f5af2d8a6dc3fb5bc558c45"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/db7/class_menu_data.html#a1cb1173b8f5af2d8a6dc3fb5bc558c45">SaveCharacter</a> (<a class="el" href="../../d9/db9/classbool.html">bool</a> localPlayer, <a class="el" href="../../d9/db9/classbool.html">bool</a> verified)</td></tr>
<tr class="separator:a1cb1173b8f5af2d8a6dc3fb5bc558c45"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae16a48fb17edd98cb5e501dc523ef259"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/db7/class_menu_data.html#ae16a48fb17edd98cb5e501dc523ef259">SaveDefaultCharacter</a> (Man character)</td></tr>
<tr class="separator:ae16a48fb17edd98cb5e501dc523ef259"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad4eca03dd7571e467c99fc2931e58fca"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/db7/class_menu_data.html#ad4eca03dd7571e467c99fc2931e58fca">SaveCharactersLocal</a> ()</td></tr>
<tr class="memdesc:ad4eca03dd7571e467c99fc2931e58fca"><td class="mdescLeft">&#160;</td><td class="mdescRight">Saves characters menu data to file.  <a href="../../d9/db7/class_menu_data.html#ad4eca03dd7571e467c99fc2931e58fca">More...</a><br /></td></tr>
<tr class="separator:ad4eca03dd7571e467c99fc2931e58fca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad43fe476db7ff32e6d70825aa5ad24ec"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/db7/class_menu_data.html#ad43fe476db7ff32e6d70825aa5ad24ec">LoadCharactersLocal</a> ()</td></tr>
<tr class="memdesc:ad43fe476db7ff32e6d70825aa5ad24ec"><td class="mdescLeft">&#160;</td><td class="mdescRight">Loads characters menu data from file.  <a href="../../d9/db7/class_menu_data.html#ad43fe476db7ff32e6d70825aa5ad24ec">More...</a><br /></td></tr>
<tr class="separator:ad43fe476db7ff32e6d70825aa5ad24ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7f29699cd95902056718c63f0f9cf33e"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/db7/class_menu_data.html#a7f29699cd95902056718c63f0f9cf33e">ClearCharacters</a> ()</td></tr>
<tr class="separator:a7f29699cd95902056718c63f0f9cf33e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2e41ae52f1ff8a0ae93847795de25181"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../da/d9c/class_menu_default_character_data.html">MenuDefaultCharacterData</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/db7/class_menu_data.html#a2e41ae52f1ff8a0ae93847795de25181">GetMenuDefaultCharacterDataInstance</a> ()</td></tr>
<tr class="separator:a2e41ae52f1ff8a0ae93847795de25181"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d8/d18/gameplay_8c_source.html#l00787">787</a> of file <a class="el" href="../../d8/d18/gameplay_8c_source.html">gameplay.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a7f29699cd95902056718c63f0f9cf33e" name="a7f29699cd95902056718c63f0f9cf33e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7f29699cd95902056718c63f0f9cf33e">&#9670;&#160;</a></span>ClearCharacters()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void MenuData::ClearCharacters </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ad367e1daa06cdd1dede1d6d9f3fc6ec3" name="ad367e1daa06cdd1dede1d6d9f3fc6ec3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad367e1daa06cdd1dede1d6d9f3fc6ec3">&#9670;&#160;</a></span>CreateCharacterPerson()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native Man MenuData::CreateCharacterPerson </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Return Character person or null if character initialization failed (inventory load, or corrupted data) </p>

</div>
</div>
<a id="a3f029ea9dd431452e512b7fbcbf2d419" name="a3f029ea9dd431452e512b7fbcbf2d419"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3f029ea9dd431452e512b7fbcbf2d419">&#9670;&#160;</a></span>GetCharacterName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto void MenuData::GetCharacterName </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>name</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a80a729332a2ab1df3e78837cf8c6ce19" name="a80a729332a2ab1df3e78837cf8c6ce19"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a80a729332a2ab1df3e78837cf8c6ce19">&#9670;&#160;</a></span>GetCharactersCount()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> MenuData::GetCharactersCount </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a105b39d2a1585d15f274ec1f4c4cd4d5" name="a105b39d2a1585d15f274ec1f4c4cd4d5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a105b39d2a1585d15f274ec1f4c4cd4d5">&#9670;&#160;</a></span>GetLastPlayedCharacter()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> MenuData::GetLastPlayedCharacter </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a7147945cf94faa58c66cf8bd8c96ff56" name="a7147945cf94faa58c66cf8bd8c96ff56"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7147945cf94faa58c66cf8bd8c96ff56">&#9670;&#160;</a></span>GetLastServerAddress()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto void MenuData::GetLastServerAddress </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>address</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="acea6c774fa1378015c85f932d4e2db8b" name="acea6c774fa1378015c85f932d4e2db8b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acea6c774fa1378015c85f932d4e2db8b">&#9670;&#160;</a></span>GetLastServerName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto void MenuData::GetLastServerName </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>address</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a6c7f63a70c4ac2ec3cfe2e36212acbcc" name="a6c7f63a70c4ac2ec3cfe2e36212acbcc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6c7f63a70c4ac2ec3cfe2e36212acbcc">&#9670;&#160;</a></span>GetLastServerPort()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> MenuData::GetLastServerPort </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a2e41ae52f1ff8a0ae93847795de25181" name="a2e41ae52f1ff8a0ae93847795de25181"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2e41ae52f1ff8a0ae93847795de25181">&#9670;&#160;</a></span>GetMenuDefaultCharacterDataInstance()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../da/d9c/class_menu_default_character_data.html">MenuDefaultCharacterData</a> MenuData::GetMenuDefaultCharacterDataInstance </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d18/gameplay_8c_source.html#l00842">842</a> of file <a class="el" href="../../d8/d18/gameplay_8c_source.html">gameplay.c</a>.</p>

</div>
</div>
<a id="ad43fe476db7ff32e6d70825aa5ad24ec" name="ad43fe476db7ff32e6d70825aa5ad24ec"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad43fe476db7ff32e6d70825aa5ad24ec">&#9670;&#160;</a></span>LoadCharactersLocal()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void MenuData::LoadCharactersLocal </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Loads characters menu data from file. </p>

</div>
</div>
<a id="a59198ea74f22e5ee2594f1d0ac650992" name="a59198ea74f22e5ee2594f1d0ac650992"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a59198ea74f22e5ee2594f1d0ac650992">&#9670;&#160;</a></span>OnGetDefaultCharacter()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> MenuData::OnGetDefaultCharacter </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d18/gameplay_8c.html#a4ff67286551fc6c18504752a277c8bc1">ParamsReadContext</a>&#160;</td>
          <td class="paramname"><em>ctx</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Actual DefaultCharacter loading. </p>

<p class="definition">Definition at line <a class="el" href="../../d8/d18/gameplay_8c_source.html#l00815">815</a> of file <a class="el" href="../../d8/d18/gameplay_8c_source.html">gameplay.c</a>.</p>

</div>
</div>
<a id="a6c821477d45c66c5b9299b334aef2d96" name="a6c821477d45c66c5b9299b334aef2d96"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6c821477d45c66c5b9299b334aef2d96">&#9670;&#160;</a></span>OnSetDefaultCharacter()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void MenuData::OnSetDefaultCharacter </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d18/gameplay_8c.html#af1d1033fca2ebd02f4ba61051b6341c4">ParamsWriteContext</a>&#160;</td>
          <td class="paramname"><em>ctx</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Actual DefaultCharacter saving. </p>

<p class="definition">Definition at line <a class="el" href="../../d8/d18/gameplay_8c_source.html#l00802">802</a> of file <a class="el" href="../../d8/d18/gameplay_8c_source.html">gameplay.c</a>.</p>

</div>
</div>
<a id="a6dc65a941e433e541a1e36a77287f63b" name="a6dc65a941e433e541a1e36a77287f63b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6dc65a941e433e541a1e36a77287f63b">&#9670;&#160;</a></span>RequestGetDefaultCharacterData()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto <a class="el" href="../../d9/db9/classbool.html">bool</a> MenuData::RequestGetDefaultCharacterData </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="acb4a3b1feeb7af9593aa76e416f235eb" name="acb4a3b1feeb7af9593aa76e416f235eb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acb4a3b1feeb7af9593aa76e416f235eb">&#9670;&#160;</a></span>RequestSetDefaultCharacterData()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto void MenuData::RequestSetDefaultCharacterData </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a1cb1173b8f5af2d8a6dc3fb5bc558c45" name="a1cb1173b8f5af2d8a6dc3fb5bc558c45"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1cb1173b8f5af2d8a6dc3fb5bc558c45">&#9670;&#160;</a></span>SaveCharacter()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void MenuData::SaveCharacter </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>localPlayer</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>verified</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ad4eca03dd7571e467c99fc2931e58fca" name="ad4eca03dd7571e467c99fc2931e58fca"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad4eca03dd7571e467c99fc2931e58fca">&#9670;&#160;</a></span>SaveCharactersLocal()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void MenuData::SaveCharactersLocal </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Saves characters menu data to file. </p>

</div>
</div>
<a id="ae16a48fb17edd98cb5e501dc523ef259" name="ae16a48fb17edd98cb5e501dc523ef259"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae16a48fb17edd98cb5e501dc523ef259">&#9670;&#160;</a></span>SaveDefaultCharacter()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void MenuData::SaveDefaultCharacter </td>
          <td>(</td>
          <td class="paramtype">Man&#160;</td>
          <td class="paramname"><em>character</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aeed52b4b41787b6361c6ba8030c941eb" name="aeed52b4b41787b6361c6ba8030c941eb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeed52b4b41787b6361c6ba8030c941eb">&#9670;&#160;</a></span>SetCharacterName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void MenuData::SetCharacterName </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>newName</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/3_Game/<a class="el" href="../../d8/d18/gameplay_8c_source.html">gameplay.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d9/db7/class_menu_data.html">MenuData</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
